#include <iostream>
#include <vector>
using namespace std;

int prolaz(const vector<int>& visina, int L){
    for(int i = 0; i < visina.size(); ++i){
        if (visina[i] <= L) { 
            return i + 1; 
        }
    }
    return -1; 
}

int main() {
    int N, L; cin >> N >> L; 
    vector<int> visina(N);
    for(int i = 0; i < N; ++i){
        cin >> visina[i]; 
    }
    cout << prolaz(visina, L);

    return 0;
}